### Method

# Gtk Builder create_closure

#### Declaration [src]

    GClosure*
    gtk_builder_create_closure (
      GtkBuilder* builder,
      const char* function_name,
      GtkBuilderClosureFlags flags,
      GObject* object,
      GError** error
    )

#### Description [src]

Creates a closure to invoke the function called `function_name`.

This is using the `create_closure()` implementation of `builder`‘s `GtkBuilderScope`.

If no closure could be created, `NULL` will be returned and `error` will be set.

#### Parameters

`function_name`

  Type: `const char*`

  Name of the function to look up.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GtkBuilderClosureFlags`

  Closure creation flags.

`object`

  Type: `GObject`

  Object to create the closure with.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GClosure`

A new closure for invoking `function_name`.

The returned data is owned by the instance.
The return value can be `NULL`.